#include "game.h"
#include "../raylib.h"
#include "log.h"
#include "input.h"
#include "parse.h"

#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>

#define TARGET_FPS 60

int main(void) {
    InitWindow(800, 450, "Text Adventure");
    SetTargetFPS(TARGET_FPS);

    Game *g = game_create();
    game_load_rooms(g);
    g->current_room = &g->rooms->rooms[0];
    game_load_transitions(g);
    game_load_words(g);
    game_load_flags(g);

    for (int i = 0; i < g->flags->count; i++) {
      printf("%s: %d\n", g->flags->flags[i].key, g->flags->flags[i].value);
    }


    game_run_until_close(g);
    CloseWindow();

    free_game(g);
    return 0;
}
